{% comment %}
Keyword arguments:

* el: dict
* main_key: str
* header: str
* corpus: str | None

{% endcomment %}
{% load i18n %}
{% load customtags %}
{% for key, val in el.items %}
  {% if key == main_key %}<a class="modal-button" href="#{{ header|slugify }}-{{ el.index_ }}">{{ val }}</a>{% endif %}
{% endfor %}
<div class="modal" id="{{ header|slugify }}-{{ el.index_ }}">
  <div class="modal-background"></div>
  <div class="modal-content">
    <div class="card">
      <div class="card-header">
        <p class="card-header-title">{{ header }} {{ el.index_ }}</p>
      </div>
      <div class="card-content">
        <table class="table is-striped is-narrow is-hoverable is-fullwidth">
          <tbody>
            {% for key, val in el.items %}
              {% if key|slice:"::-9" != "_" %}
                <tr>
                  <th class="has-text-right">
                    <b>{{ key }}</b>
                  </th>
                  <td class="has-text-left">
                    {% if val.items %}
                      <table class="table is-narrow is-hoverable is-fullwidth">
                        <tbody>
                          {% for inner_key, inner_val in val.items %}
                            <tr>
                              <th class="has-text-right">
                                <b>{{ inner_key }}</b>
                              </th>
                              <td class="has-text-left">
                                {% if corpus %}
                                  {% to_query inner_key inner_val root=key as inner_query %}
                                  <a href="{% to_url "search" corpus=corpus mode="cqp" query=inner_query %}">{{ inner_val }}</a>
                                {% else %}
                                  {{ inner_val }}
                                {% endif %}
                              </td>
                            </tr>
                          {% endfor %}
                        </tbody>
                      </table>
                    {% else %}
                      {% if corpus %}
                        {% to_query key val as query %}
                        <a href="{% to_url "search" corpus=corpus mode="cqp" query=query %}">{{ val }}</a>
                      {% else %}
                        {{ val }}
                      {% endif %}
                    {% endif %}
                  </td>
                </tr>
              {% endif %}
            {% endfor %}
          </tbody>
        </table>
      </div>
      <div class="card-footer">
        {% if el.is_first_ is True %}
          <span class="card-footer-item">{% trans "Anterior" %}</span>
        {% else %}
          <a class="card-footer-item"
             href="#{{ header|slugify }}-{{ el.index_|add:'-1' }}">{% trans "Anterior" %}</a>
        {% endif %}
        <a class="card-footer-item" href="#">{% trans "Cerrar" %}</a>
        {% if el.is_last_ is True %}
          <span class="card-footer-item">{% trans "Siguiente" %}</span>
        {% else %}
          <a class="card-footer-item"
             href="#{{ header|slugify }}-{{ el.index_|add:'1' }}">{% trans "Siguiente" %}</a>
        {% endif %}
      </div>
    </div>
  </div>
</div>
